package com.base.filerecoveryrecyclebin.activity.screenshot

import android.content.Intent
import android.widget.Toast
import androidx.activity.addCallback
import com.base.filerecoveryrecyclebin.activity.photomanager.PhotoManagerActivity
import com.base.filerecoveryrecyclebin.ads.AdmobMaxHelper
import com.base.filerecoveryrecyclebin.databinding.ActivityScreenShotAnimationBinding
import com.base.filerecoveryrecyclebin.help.BaseActivity
import kotlin.random.Random

class ScreenShotAnimationActivity : BaseActivity<ActivityScreenShotAnimationBinding>() {

    override val binding: ActivityScreenShotAnimationBinding by lazy {
        ActivityScreenShotAnimationBinding.inflate(layoutInflater)
    }

    override fun initView() {
        binding.root.postDelayed({
            AdmobMaxHelper.admobMaxShowInterstitialAd(this) {
                startActivity(Intent(this, ScreenShotActivity::class.java))
                finish()
            }
        }, Random.nextLong(3000, 4500))
    }

    override fun initListener() {
        super.initListener()
        onBackPressedDispatcher.addCallback {
            Toast.makeText(this@ScreenShotAnimationActivity, "wait a moment", Toast.LENGTH_SHORT).show()
        }
    }

}